#--------------------------------------------------------------------
# Common GNU compiler options
#
# Because most of the regressions in this Subtree are SystemC based,
# most of them require GNU 2.95.2 or later.  Here are general settings
# for the GNU compiler.  Any of them can be overridden as necessary
# for individual tests.  -- johnS 11-11-00

TARGET_ARCH = gccsparcOS5
CC = gcc
CXX = g++
 
CFLAGS = -Wall $(DEBUG) $(OPT) -DSC_INCLUDE_SYS
 
LIBS_SYSC = -L$(SYSTEMC)/lib-$(TARGET_ARCH) -lsystemc -lnumeric_bit -lsys \
    -lstdc++ -lqt -lsocket -lnsl -lm
 
INCL = -I$(SYSTEMC)/include -I$(SYSTEMC)/src -I$(SYSTEMC)/include/sys

.cxx.o:
	$(CXX) $(CFLAGS) $(INCL) -c $< -o $@
 
.cpp.o:
	$(CXX) $(CFLAGS) $(INCL) -c $< -o $@
 
.c.o:
	$(CC) $(CFLAGS) $(INCL) -c $< -o $@

.SUFFIXES: .cxx .cpp .c .o
