///////////////////////////////////////////////////////////////////////////
// Filename : monitor_decoder_ctl.cpp
// Project  : MP3 Decoder
// Author   : GoodKook / goodkook@nms.anslab.co.kr
// Company  : AnsLab Co. / http://www.anslab.co.kr
// Revision :
// Comment  : Waveform Monitor
//

#include "monitor_decoder_ctl.h"

//////////////////////////////////////////////////////////////////////////
// Monitor
//
void monitor_decoder_ctl::proc_monitor()
{
    t_clk               = (bool)clk.read();
    t_rst               = (bool)rst.read();

    t_hdr_ready         = (bool)hdr_ready.read();
    t_hdr_start         = (bool)hdr_start.read();

    t_scl_ready         = (bool)scl_ready.read();
    t_scl_start         = (bool)scl_start.read();

    t_huff_ready        = (bool)huff_ready.read();
    t_huff_start        = (bool)huff_start.read();

    t_deq_ready         = (bool)deq_ready.read();
    t_deq_start         = (bool)deq_start.read();

    t_stereo_ready      = (bool)stereo_ready.read();
    t_stereo_start      = (bool)stereo_start.read();

    t_reorder_ready     = (bool)reorder_ready.read();
    t_reorder_start     = (bool)reorder_start.read();

    t_antialias_ready   = (bool)antialias_ready.read();
    t_antialias_start   = (bool)antialias_start.read();

    t_hybrid_ready      = (bool)hybrid_ready.read();
    t_hybrid_start      = (bool)hybrid_start.read();

    t_subband_ready     = (bool)subband_ready.read();
    t_subband_start     = (bool)subband_start.read();

    t_pcmout_start      = (bool)pcmout_start.read();

    t_channel           = (bool)channel.read();
    t_granule           = (bool)granule.read();

    t_m_init_done       = (bool)m_init_done.read();
    t_mem_init          = (bool)mem_init.read();

    t_stream_full       = (bool)stream_full.read();
    t_fill_stream       = (bool)fill_stream.read();

    t_stop              = (bool)stop.read();
}
